Skip to main content
`Ctrl`+`K`

# TSMonitorLGCtxSetVariableNames

Sets the name of each component in the solution vector so that it may be displayed in the plot

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSMonitorLGCtxSetVariableNames(TSMonitorLGCtx ctx, const char *const *names)

Collective

## Input Parameters

- ctx - the `TS` context

- names - the names of the components, final string must be `NULL`

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSMonitorSet()`, `TSMonitorDefault()`, `VecView()`, `TSMonitorLGSetDisplayVariables()`, `TSMonitorLGSetVariableNames()`

## Level

intermediate

## Location

src/ts/interface/tsmon.c

## Examples

src/ts/tutorials/extchemfield.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages